%global srcname tag2distrepo
%global sum Fedmsg Consumer to automatically regenerate distrepos on tag operations

Name:           python-%{srcname}
Version:        1
Release:        0.4%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            https://pagure.io/releng/tag2distrepo
Source0:        %{srcname}-%{version}.tar.gz

Patch0:		fixtags.patch

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:	fedmsg
BuildRequires:	python2-koji

%description
%{sum}

%package -n python2-%{srcname}
Summary:        %{sum}
Requires:	fedmsg
Requires:	python2-koji
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum}


%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build

%install
%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%{python2_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Patrick Uiterwijk <patrick@puiterwijk.org> - 1-0.3
- Add patch to fix tag passing

* Fri Oct 06 2017 Patrick Uiterwijk <patrick@puiterwijk.org> - 1-0.2
- Initial packaging
